#ifndef MAIN_H
#define MAIN_H

//////////////////////// INIT VARIABLES ///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////




#define		MAP_SIZE	  1024			/* Size Of Our .RAW Height Map */
#define		STEP_SIZE	  4			/* Width And Height Of Each Quad */
#define		HEIGHT_RATIO      1.5f			/* Ratio That The Y Is Scaled According To The X And Z */


unsigned char g_HeightMap[MAP_SIZE*MAP_SIZE];		/* Holds The Height Map Data */

float scaleValue = 0.15f;				/* Scale Value For The Terrain */

//int filling=1;  //0=OFF 1=ON edge or poly drawing for the obj imported objects.

// VARIABLES_END /////////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////  FUNCTION DECLARATION //////////////////////////////////////
////////////////////////////////////////  FUNCTION DECLARATION //////////////////////////////////////

void LoadRawFile(const char* strName, int nSize,unsigned char *pHeightMap);

int Height(unsigned char *pHeightMap, int X, int Y);

void SetVertexColor(unsigned char *pHeightMap, int x, int y);	

void RenderHeightMap(unsigned char pHeightMap[]);

int drawGLScene(GLvoid);



#endif
